Bug 117964 - databases/adodb 4.93 -> 4.96
Summary: databases/adodb 4.93 -> 4.96
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-10 21:10 UTC by joehorn
Modified: 2007-12-24 23:01 UTC (History)
0 users

See Also:


Attachments
file.diff (1.99 KB, patch)
2007-11-10 21:10 UTC, joehorn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joehorn 2007-11-10 21:10:00 UTC
4.96/5.02 24 Sept 2007

Fix adodb count optimisation. Preg_match did not work properly. Also rewrote the ORDER BY stripping code in _adodb_getcount(), adodb-lib.inc.php.

SelectLimit for oci8 not optimal for large recordsets when offset=0. Changed $nrows check.

Active record optimizations. Added support for assoc arrays in Set().

Now GetOne returns null if EOF (no records found), and false if error occurs. Use ErrorMsg()/ErrorNo() to get the error.

Added BIT data type support to adodb-ado.inc.php and adodb-ado5.inc.php.

Ldap driver did not return actual ldap error messages. Fixed.

Implemented GetRandRow($sql, $inputarr). Optimized for Oci8.

Changed adodb5 active record to use static SetDatabaseAdapter() and removed php4 constructor. Bas van Beek bas.vanbeek#gmail.com.

Also in adodb5, changed adodb-session2 to use static function declarations in class. Thx Daniel Berlin.

Added "Clear SQL Log" to bottom of Performance screen.

Sessions2 code echo'ed directly to the screen in debug mode. Now uses ADOConnection::outp().

In mysql/mysqli, qstr(null) will return the string "null" instead of empty quoted string "''".

postgresql optimizeTable in perf-postgres.inc.php added by Daniel Berlin (mail#daniel-berlin.de)

Added 5.2.1 compat code for oci8.

Changed @@identity to SCOPE_IDENTITY() for multiple mssql drivers. Thx Stefano Nari.

Code sanitization introduced in 4.95 caused problems in European locales (as float 3.2 was typecast to 3,2). Now we only sanitize if is_numeric fails.

Added support for customizing ADORecordset_empty using $this->rsPrefix.'empty'. By Josh Truwin.

Added proper support for ALterColumnSQL for Postgresql in datadict code. Thx. Josh Truwin.

Added better support for MetaType() in mysqli when using an array recordset.

4.95/5.01 17 May 2007

CacheFlush debug outp() passed in invalid parameters. Fixed.

Added Thai language file for adodb. Thx Trirat Petchsingh rosskouk#gmail.com and Marcos Pont

Added zerofill checking support to MetaColumns for mysql and mysqli.

CacheFlush no longer deletes all files/directories. Only *.cache files deleted.

DB2 timestamp format changed to var $fmtTimeStamp = "'Y-m-d-H:i:s'";

Added some code sanitization to AutoExecute in adodb-lib.inc.php.

Due to typo, all connections in adodb-oracle.inc.php would become persistent, even non-persistent ones. Fixed.

Oci8 DBTimeStamp uses 24 hour time for input now, so you can perform string comparisons between 2 DBTimeStamp values.

Some PHP4.4 compat issues fixed in adodb-session2.inc.php

For ADOdb 5.01, fixed some adodb-datadict.inc.php MetaType compat issues with PHP5.

The $argHostname was wiped out in adodb-ado5.inc.php. Fixed.

Adodb5 version, added iterator support for adodb_recordset_empty.

Adodb5 version,more error checking code now will use exceptions if available.

4.94 23 Jan 2007

Active Record: $ADODB_ASSOC_CASE=2 did not work properly. Fixed. Thx gmane#auxbuss.com.

mysqli had bugs in BeginTrans() and EndTrans(). Fixed.

Improved error handling when no database is connected for oci8. Thx Andy Hassall.

Names longer than 30 chars in oci8 datadict will be changed to random name. Thx Eugenio. http://phplens.com/lens/lensforum/msgs.php?id=16182

Added var $upperCase = 'ucase' to access and ado_access drivers. Thx Renato De Giovanni renato#cria.org.br

Postgres64 driver, if preparing plan failed in _query, did not handle error properly. Fixed. See http://phplens.com/lens/lensforum/msgs.php?id=16131.

Fixed GetActiveRecordsClass() reference bug. See http://phplens.com/lens/lensforum/msgs.php?id=16120

Added handling of nulls in adodb-ado_mssql.inc.php for qstr(). Thx to Felix Rabinovich.

Adodb-dict contributions by Gaetano:
+ Support for INDEX in data-dict. Example: idx_ev1. The ability to define indexes using the INDEX keyword was added in ADOdb 4.94. The following example features mutiple indexes, including a compound index idx_ev1.

  event_id I(11) NOTNULL AUTOINCREMENT PRIMARY,
  event_type I(4) NOTNULL  INDEX idx_evt,
  event_start_date T DEFAULT NULL INDEX id_esd,
  event_end_date T DEFAULT '0000-00-00 00:00:00' INDEX id_eted,
  event_parent I(11) UNSIGNED NOTNULL DEFAULT 0 INDEX id_evp,
  event_owner I(11) DEFAULT 0 INDEX idx_ev1,
  event_project I(11) DEFAULT 0 INDEX idx_ev1,
  event_times_recuring I(11) UNSIGNED NOTNULL DEFAULT 0,
  event_icon C(20) DEFAULT 'obj/event',
  event_description X


+ Prevents the generated SQL from including double drop-sequence statements for REPLACE case of tables with autoincrement columns (on those dbs that emulate it via sequences)
+ makes any date defined as DEFAULT value for D and T columns work cross-database, not just the "sysdate" value (as long as it is specified using adodb standard format). See above example.

Fixed pdo's GetInsertID() support. Thx Ricky Su.

oci8 Prepare() now sets error messages if an error occurs.

Added 'PT_BR' to SetDateLocale() -- brazilian portugese.

charset in oci8 was not set correctly on *Connect()

ADOConnection::Transpose() now appends as first column the field names.

Added $ADODB_QUOTE_FIELDNAMES. If set to true, will autoquote field names in AutoExecute(),GetInsertSQL(), GetUpdateSQL().

Transpose now adds the field names as the first column after transposition.

Added === check in ADODB_SetDatabaseAdapter for $db, adodb-active-record.inc.php. Thx Christian Affolter.

Added ErrorNo() to adodb-active-record.inc.php. Thx ante#novisplet.com.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-11-10 21:10:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2007-12-24 22:59:22 UTC
mm          2007-12-24 22:59:18 UTC

  FreeBSD ports repository

  Modified files:
    databases/adodb      Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to 4.96a
  - Update pkg-descr
  - Add CONFLICTS for future databases/adodb5
  
  PR:     ports/117964
  
  Revision  Changes    Path
  1.47      +3 -3      ports/databases/adodb/Makefile
  1.31      +3 -3      ports/databases/adodb/distinfo
  1.8       +9 -11     ports/databases/adodb/pkg-descr
  1.29      +2 -1      ports/databases/adodb/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2007-12-24 23:01:28 UTC
State Changed
From-To: open->closed

Commited with changes. Thanks!